import { AxiosPromise } from 'axios';
import request from '/@/utils/request';
import type { ReportTemplateListParams, TemplateItem } from './types';


/**
 *  获取后端模板列表
 * @param data 
 * @returns 
 */
export function reportTemplateListApi (data: ReportTemplateListParams): AxiosPromise<{ list: TemplateItem[] }> {
    return request({
        url: '/report/template/info/list',
        method: 'post',
        data
    })
}


/**
 * 更新后端模板信息
 * @param data 
 * @returns 
 */
export function reportTemplateUpdateApi (data: Partial<TemplateItem>) {
    return request({
        url: '/report/template/info/update',
        method: 'post',
        data
    })
}


/**
 * 删除模板
 * @param id 
 * @returns 
 */
export function reportTemplateDeleteApi(id: number) {
    return request({
        url: '/report/template/info/delete',
        method: 'post',
        params: { id }
    })
}

/**
 * 添加模板
 * @param data 
 * @returns 
 */
export function reportTemplateAddApi(data: Partial<TemplateItem>) {
    return request({
        url: '/report/template/info/add',
        method: 'post',
        data
    })
}